import os
import sys
sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
import yaml
from blender.data_generator import DataGenerator

if __name__ == "__main__":
    config_path = sys.argv[sys.argv.index('--') + 1]
    with open(config_path, "r") as file:
        config = yaml.safe_load(file)

    dg = DataGenerator(config)
    dg.gen_all_scene_data()
    